import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { MultaController } from './multa.controller';
import { MultaService } from './multa.service';
import { Multa } from './entity/multa.entity';
import { EquipoModule } from 'src/equipo/equipo.module';
import { InstitucionInfraccionModule } from 'src/institucion-infraccion/institucion-infraccion.module';
import { OperadorModule } from 'src/operador/operador.module';
import { PrestamoModule } from 'src/prestamo/prestamo.module';
import { UsuarioModule } from 'src/usuario/usuario.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([Multa]),
    EquipoModule,
    InstitucionInfraccionModule,
    OperadorModule,
    PrestamoModule,
    UsuarioModule,
  ],
  controllers: [MultaController],
  providers: [MultaService],
})
export class MultaModule {}
